Debian Bug report logs - #669647
RFP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd

version graph

Package: hurd-recommended; Maintainer for hurd-recommended is (unknown);

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Fri, 20 Apr 2012 18:27:01 UTC

Severity: wishlist

Fixed in version 0.0.20130212-1

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-hurd@lists.debian.org, wnpp@debian.org:
Bug#669647; Package wnpp. (Fri, 20 Apr 2012 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-hurd@lists.debian.org, wnpp@debian.org. (Fri, 20 Apr 2012 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Fri, 20 Apr 2012 20:23:46 +0200
Package: wnpp
Severity: wishlist
Owner: Samuel Thibault <sthibault@debian.org>

* Package name    : hurd-cvsfs
  Version         : 0.0.0~git-20120420
  Upstream Author : Stefan Siegl <stesie@brokenpipe.de>
* URL             : www.gnu.org/s/hurd/hurd/translator/cvsfs.html
* License         : gpl2+
  Programming Lang: C
  Description     : CVS virtual filesystem for the GNU Hurd

cvsfs is a virtual (netfs based) filesystem allowing you to mount
remotely located CVS modules into your local filesystem.  The version
controlled files will appear to you just like regular ones.  If you just
want to view one file (or a small bunch) you furthermore save a lot of
network bandwidth since only these files will be downloaded.  The usual
way to do so would be to check out the whole tree and deleting it after
using.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 23 Apr 2012 07:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 669647@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 669647@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 09:18:30 +0200
Le vendredi 20 avril 2012 à 20:23 +0200, Samuel Thibault a écrit : 
> * Package name    : hurd-cvsfs

Aren’t you late by 19 days?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 08:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 23 Apr 2012 08:45:07 GMT) Full text and rfc822 format available.

Message #15 received at 669647@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Samuel Thibault <sthibault@debian.org>, 669647@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 09:44:32 +0100
On Mon, Apr 23, 2012 at 09:18:30AM +0200, Josselin Mouette wrote:
> Le vendredi 20 avril 2012 à 20:23 +0200, Samuel Thibault a écrit : 
> > * Package name    : hurd-cvsfs
> 
> Aren’t you late by 19 days?

(This isn't intended as a criticism of this specific ITP.)

While it's great that Hurd can support all of these esoteric
translators, in terms of making Hurd a viable *Debian* port,
we really only need a few specific ones:

- tmpfs
- procfs
- sysfs
- ext?fs

Speaking from the perspective of initscripts, we are carrying
around a large amount of Hurd-specific code, which as far as I
understand is probably actually unused.  Example: All other
platforms have /etc/mtab as a symlink.  Yet we are carrying
around large amounts of code and extra initscripts to generate
mtab for the only system which does not support /proc/mounts
(Hurd).  A procfs translator (even an incomplete one) would
allow all this (barely tested) cruft to be dropped.

It would be really great if the efforts of the Hurd developers
could be directed to getting the translators which are of
direct benefit to the distribution as a whole functional, rather
than features such as this--who uses CVS nowadays anyway, let
along through a translator?  It's neat, but not really useful
(from the POV of the distribution as a whole).


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Apr 2012 09:24:05 GMT) Full text and rfc822 format available.

Message #20 received at 669647@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 669647@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 11:20:00 +0200
Roger Leigh, le Mon 23 Apr 2012 09:44:32 +0100, a écrit :
> While it's great that Hurd can support all of these esoteric
> translators, in terms of making Hurd a viable *Debian* port,
> we really only need a few specific ones:
> 
> - tmpfs
> - procfs
> - ext?fs

They are already there.

> - sysfs

Err, I don't think it's a good idea to let people think it is ok to use
extremely-linuxish things there.

> Yet we are carrying
> around large amounts of code and extra initscripts to generate
> mtab for the only system which does not support /proc/mounts
> (Hurd).  A procfs translator (even an incomplete one) would
> allow all this (barely tested) cruft to be dropped.

We have an incomplete procfs already.  It doesn't have /proc/mounts,
because it's not a trivial thing to implement: since mounts are
distributed, there is no central place where filesystems are to be
recorded.  There are plans to somehowe build one.  In the meanwhile
things are working already.  I don't think spending time on a feature
just to remove some existing code is the best way to spend our time,
either.

> It would be really great if the efforts of the Hurd developers
> could be directed to getting the translators which are of
> direct benefit to the distribution as a whole functional, rather
> than features such as this--who uses CVS nowadays anyway, let
> along through a translator?  It's neat, but not really useful
> (from the POV of the distribution as a whole).

There are two answers:

- Yet, this is neat.  And we need such neat features to show that
GNU/Hurd can have neat features, and is thus worth caring about.

- See the development dates: all this code was developped before 2007.
It took me very little time to make them Debian packages, to make that
work actually be easily usable; it would be too bad that such nice work
is not exposed.  It just happens that sometimes it's what takes the
least time (trivial packaging) that has the most visible effects (ITPs).
On the other hand, I've spent the whole week-end fixing some bits in
glibc/parted/grub, which we *DO* need for a release.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 23 Apr 2012 09:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 669647@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: 669647@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 10:43:00 +0100
On Mon, Apr 23, 2012 at 11:20:00AM +0200, Samuel Thibault wrote:
> Roger Leigh, le Mon 23 Apr 2012 09:44:32 +0100, a écrit :
> > While it's great that Hurd can support all of these esoteric
> > translators, in terms of making Hurd a viable *Debian* port,
> > we really only need a few specific ones:
> > 
> > - tmpfs
> > - procfs
> > - ext?fs
> 
> They are already there.

OK.  I was informed otherwise when I was working on all the
tmpfs-related code.  If this is the case, I will remove all the
Hurd-specific disabling, and it will be enabled shortly.  You'll
get a tmpfs /run etc. like everyone else.

Does Hurd support ext3/4 yet?

> > - sysfs
> 
> Err, I don't think it's a good idea to let people think it is ok to use
> extremely-linuxish things there.

kFreeBSD supports both linprocfs and linsysfs.  If you're going to
integrate well with the rest of the Debian system, the reality is
that this stuff is needed.  We shouldn't need Hurd to be
gratuitously different for such basic stuff, it again causes a
large maintenance burden, and means Hurd support will be lacking.

> > Yet we are carrying
> > around large amounts of code and extra initscripts to generate
> > mtab for the only system which does not support /proc/mounts
> > (Hurd).  A procfs translator (even an incomplete one) would
> > allow all this (barely tested) cruft to be dropped.
> 
> We have an incomplete procfs already.  It doesn't have /proc/mounts,
> because it's not a trivial thing to implement: since mounts are
> distributed, there is no central place where filesystems are to be
> recorded.  There are plans to somehowe build one.  In the meanwhile
> things are working already.  I don't think spending time on a feature
> just to remove some existing code is the best way to spend our time,
> either.

It's not just a case of "working already".  I spent several days
writing and testing all that code.  From scratch.  Just for Hurd.  And
this is just one example.  We need a dynamic mtab; a static one is
plain broken, and this does have a maintenance burden which Hurd
forces me to undertake.  There's special code in every initscript
which mounts something, plus a whole library of shell functions...
which should be deleted at the earliest opportunity.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 09:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Apr 2012 09:54:13 GMT) Full text and rfc822 format available.

Message #30 received at 669647@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Roger Leigh <rleigh@codelibre.net>, 669647@bugs.debian.org, debian-bsd@lists.debian.org
Cc: debian-devel@lists.debian.org
Subject: Hurd features [Was: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd]
Date: Mon, 23 Apr 2012 11:50:23 +0200
Roger Leigh, le Mon 23 Apr 2012 10:43:00 +0100, a écrit :
> > They are already there.
> 
> OK.  I was informed otherwise when I was working on all the
> tmpfs-related code.

Things evolve, we do spend time on useful features :) Tmpfs has recently
been fixed.

> Does Hurd support ext3/4 yet?

No.

> > > - sysfs
> > 
> > Err, I don't think it's a good idea to let people think it is ok to use
> > extremely-linuxish things there.
> 
> kFreeBSD supports both linprocfs and linsysfs.

Linsysfs is extremely small: from what I see on asdfasdf, it only
exposes two bits of information for each scsi host.

> If you're going to integrate well with the rest of the Debian system,
> the reality is that this stuff is needed.

/sys is a moving thing, and full of a lot of details.  I believe BSD
people will agree that they don't want to spend time on that.

> > > Yet we are carrying
> > > around large amounts of code and extra initscripts to generate
> > > mtab for the only system which does not support /proc/mounts
> > > (Hurd).  A procfs translator (even an incomplete one) would
> > > allow all this (barely tested) cruft to be dropped.
> > 
> > We have an incomplete procfs already.  It doesn't have /proc/mounts,
> > because it's not a trivial thing to implement: since mounts are
> > distributed, there is no central place where filesystems are to be
> > recorded.  There are plans to somehowe build one.  In the meanwhile
> > things are working already.  I don't think spending time on a feature
> > just to remove some existing code is the best way to spend our time,
> > either.
> 
> It's not just a case of "working already".  I spent several days
> writing and testing all that code.  From scratch.  Just for Hurd.

Ah, we weren't aware of that.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 23 Apr 2012 14:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 669647@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Samuel Thibault <sthibault@debian.org>
Cc: Roger Leigh <rleigh@codelibre.net>, 669647@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 15:47:18 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2012-04-23 at 11:20 +0200, Samuel Thibault wrote:
> Roger Leigh, le Mon 23 Apr 2012 09:44:32 +0100, a écrit :
> > While it's great that Hurd can support all of these esoteric
> > translators, in terms of making Hurd a viable *Debian* port,
> > we really only need a few specific ones:
> > 
> > - tmpfs
> > - procfs
> > - ext?fs
> 
> They are already there.
> 
> > - sysfs
> 
> Err, I don't think it's a good idea to let people think it is ok to use
> extremely-linuxish things there.

I agree with this.  Linux sysfs exposes the kernel's object model
(mostly devices).  It's not reasonable to expect another kernel to
simulate the Linux object model.  (VMware tries to do this in
ESX/vSphere, but it's not really compatible.)

> > Yet we are carrying
> > around large amounts of code and extra initscripts to generate
> > mtab for the only system which does not support /proc/mounts
> > (Hurd).  A procfs translator (even an incomplete one) would
> > allow all this (barely tested) cruft to be dropped.
> 
> We have an incomplete procfs already.  It doesn't have /proc/mounts,
> because it's not a trivial thing to implement: since mounts are
> distributed, there is no central place where filesystems are to be
> recorded.  There are plans to somehowe build one.  In the meanwhile
> things are working already.  I don't think spending time on a feature
> just to remove some existing code is the best way to spend our time,
> either.
[...]

I would say something *like* /proc/mounts is important for a modern
Unix-like system.  I'm sure it's not trivial, but it's implementing a
standard format (mtab) and not a moving target of 'be like Linux'.

In general I would agree it's not reasonable to expect a non-Linux
kernel to support much of Linux procfs; even the per-process directories
have a lot of Linux-specific scheduler and VM stats.  It's a shame
procfs has never been standardised.

Ben.

-- 
Ben Hutchings
For every action, there is an equal and opposite criticism. - Harrison
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 23 Apr 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 669647@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Samuel Thibault <sthibault@debian.org>, 669647@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 15:55:29 +0100
On Mon, Apr 23, 2012 at 03:47:18PM +0100, Ben Hutchings wrote:
> > > around large amounts of code and extra initscripts to generate
> > > mtab for the only system which does not support /proc/mounts
> > > (Hurd).  A procfs translator (even an incomplete one) would
> > > allow all this (barely tested) cruft to be dropped.
> > 
> > We have an incomplete procfs already.  It doesn't have /proc/mounts,
> > because it's not a trivial thing to implement: since mounts are
> > distributed, there is no central place where filesystems are to be
> > recorded.  There are plans to somehowe build one.  In the meanwhile
> > things are working already.  I don't think spending time on a feature
> > just to remove some existing code is the best way to spend our time,
> > either.
> [...]
> 
> I would say something *like* /proc/mounts is important for a modern
> Unix-like system.  I'm sure it's not trivial, but it's implementing a
> standard format (mtab) and not a moving target of 'be like Linux'.

For mtab, it's probably not even strictly necessary for this to be in
/proc/mounts.  It could be a translator on /etc/mtab directly?  (If
a translator can be a single file?)


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Apr 2012 15:03:05 GMT) Full text and rfc822 format available.

Message #45 received at 669647@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Roger Leigh <rleigh@codelibre.net>, 669647@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, debian-devel@lists.debian.org, debian-hurd@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 16:59:21 +0200
Roger Leigh, le Mon 23 Apr 2012 15:55:29 +0100, a écrit :
> For mtab, it's probably not even strictly necessary for this to be in
> /proc/mounts.  It could be a translator on /etc/mtab directly?  (If
> a translator can be a single file?)

A translator can be a single file.

But since many scripts will look for /proc/mounts, it's probably good to
have it there.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 16:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 23 Apr 2012 16:06:18 GMT) Full text and rfc822 format available.

Message #50 received at 669647@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 669647@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 17:04:50 +0100
On 23/04/12 10:20, Samuel Thibault wrote:
> [Hurd has] an incomplete procfs already.  It doesn't have /proc/mounts,
> because it's not a trivial thing to implement: since mounts are
> distributed, there is no central place where filesystems are to be
> recorded.

For what it's worth, the same is true on Linux, because each process can
potentially be in its own mount namespace.

Linux solves this (while remaining compatible with things that look in
/proc/mounts) by having /proc/mounts always be a symlink to
/proc/self/mounts, where /proc/self is polymorphic: if you read it from
process 123, it appears to be a symlink to /proc/123. Files matching
/proc/[0-9]+/mounts list the mounts that are applicable/visble to the
process whose pid is the directory name.

    S




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#669647; Package wnpp. (Mon, 23 Apr 2012 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Apr 2012 16:12:05 GMT) Full text and rfc822 format available.

Message #55 received at 669647@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Simon McVittie <smcv@debian.org>, 669647@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#669647: ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
Date: Mon, 23 Apr 2012 18:08:13 +0200
Simon McVittie, le Mon 23 Apr 2012 17:04:50 +0100, a écrit :
> On 23/04/12 10:20, Samuel Thibault wrote:
> > [Hurd has] an incomplete procfs already.  It doesn't have /proc/mounts,
> > because it's not a trivial thing to implement: since mounts are
> > distributed, there is no central place where filesystems are to be
> > recorded.
> 
> For what it's worth, the same is true on Linux, because each process can
> potentially be in its own mount namespace.

It's not as profound as on the Hurd.  In the Hurd, a process doesn't even
know what translator it will meet before actually meeting it.  That's
actually part of making things a lot flexible.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <sthibault@debian.org>:
Bug#669647; Package wnpp. (Mon, 27 May 2013 14:21:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <sthibault@debian.org>. (Mon, 27 May 2013 14:21:46 GMT) Full text and rfc822 format available.

Message #60 received at 669647@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 669647@bugs.debian.org
Cc: control@bugs.debian.org
Subject: hurd-cvsfs: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:11 +0200
retitle 669647 RFP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
noowner 669647
tag 669647 - pending
thanks

Hi,

This is an automatic email to change the status of hurd-cvsfs back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting hurd-cvsfs, please send a mail to
<control@bugs.debian.org> with:

 retitle 669647 ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd
 owner 669647 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <669647@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd' from 'ITP: hurd-cvsfs -- CVS virtual filesystem for the GNU Hurd' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:34:51 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Samuel Thibault <sthibault@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:34:52 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'hurd-recommended'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 20:18:09 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.20130212-1. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 20:18:10 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 20:18:10 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Mon, 27 May 2013 20:18:11 GMT) Full text and rfc822 format available.

Message sent on to Samuel Thibault <sthibault@debian.org>:
Bug#669647. (Mon, 27 May 2013 20:18:35 GMT) Full text and rfc822 format available.

Message #75 received at 669647-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: control@bugs.debian.org
Cc: hurd-recommended@packages.debian.org, 669647-submitter@bugs.debian.org
Subject: reassign 669647 to hurd-recommended, closing 669647
Date: Mon, 27 May 2013 22:15:34 +0200
reassign 669647 hurd-recommended 
close 669647 0.0.20130212-1
thanks
-- 
Samuel
War doesn't prove who's right, just who's left.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:35:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:10:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.